wargs): ...
    def index(self, name=..., **kwargs): ...
    def show(self, name=..., **kwargs): ...
    def create(self, **kwargs): ...
    def update(self, **kwargs): ...
    def delete(self, **kwargs): ...
    def add_actions(self, actions): ...
    def __enter__(self): ...
    def __exit__(self, type, value, tb): ...

class Mapper(SubMapperParent):
    matchlist: Any
    maxkeys: Any
    minkeys: Any
    urlcache: Any
    prefix: Any
    req_data: Any
    directory: Any
    always_scan: Any
    controller_scan: Any
    debug: Any
    append_slash: Any
    sub_domains: Any
    sub_domains_ignore: Any
    domain_match: Any
    explicit: Any
    encoding: Any
    decode_errors: Any
    hardcode_names: Any
    minimization: Any
    create_regs_lock: Any
    def __init__(self, controller_scan=..., directory=..., always_scan=..., register=..., explicit=...) -> None: ...
    environ: Any
    def extend(self, routes, path_prefix=...): ...
    def make_route(self, *args, **kargs): ...
    def connect(self, *args, **kargs): ...
    def create_regs(self, *args, **kwargs): ...
    def match(self, url=..., environ=...): ...
    def routematch(self, url=..., environ=...): ...
    obj: Any
    def generate(self, *args, **kargs): ...
    def resource(self, member_name, collection_name, **kwargs): ...
    def redirect(self, match_path, destination_path, *args, **kwargs): ...
PK